Bug 1886871 - Neutron ports created for hostNetworking pods
Summary: Neutron ports created for hostNetworking pods
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 4.7.0
Assignee: Michał Dulko
QA Contact: GenadiC
URL:
Whiteboard:
Depends On:
Blocks: 1888318
TreeView+ depends on / blocked
 
Reported: 2020-10-09 14:58 UTC by Michał Dulko
Modified: 2021-02-24 15:25 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Pods with hostNetworking were handled normally by Kuryr. Consequence: Those pods got Neutron ports created for them which would use the Neutron quota unnecessarily. Fix: Pods with hostNetworking are now ignored on KuryrPort creations. Result: Neutron ports are no longer created for hostNetworking pods.
Clone Of:
Environment:
Last Closed: 2021-02-24 15:24:43 UTC
Target Upstream Version:


Attachments (Terms of Use)
NP+Conformance results (810.30 KB, application/gzip)
2020-10-23 09:37 UTC, rlobillo
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift kuryr-kubernetes pull 372 0 None closed Bug 1886871: Fix is_host_network() 2021-02-19 17:49:00 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:25:21 UTC

Description Michał Dulko 2020-10-09 14:58:10 UTC
Description of problem:
Due to a coding mistake we started creating Neutron ports for pods running on hostNetworking. It's not needed at all and just wastes quotas.

Version-Release number of selected component (if applicable):
4.6

How reproducible:
Always

Steps to Reproduce:
1. Run OpenShift installation.
2. List hostNetworking pods: `oc get pods -A -o wide | grep <vm-subnet-prefix> | awk '{print $2}' > host-networking-pods`
3. `oc get kp -A | grep -f host-networking-pods | wc`

Actual results:
(shiftstack) [stack@undercloud-0 ~]$ oc get kp -A | grep -f host-networking-pods | wc -l
64

Expected results:
(shiftstack) [stack@undercloud-0 ~]$ oc get kp -A | grep -f host-networking-pods | wc -l
0

Additional info:

Comment 2 rlobillo 2020-10-23 09:36:36 UTC
Verified on 4.7.0-0.nightly-2020-10-22-044506 on OSP16.1 with OVN (RHOS-16.1-RHEL-8-20201007.n.0).

NP and conformance tests run with expected results (Attached).

[stack@undercloud-0 ~]$ oc get nodes -o wide
NAME                          STATUS   ROLES    AGE   VERSION           INTERNAL-IP    EXTERNAL-IP   OS-IMAGE                                                       KERNEL-VERSION                 CONTAINER-RUNTIME
ostest-rmrft-master-0         Ready    master   20h   v1.19.0+80fd895   10.196.1.14    <none>        Red Hat Enterprise Linux CoreOS 47.82.202010212242-0 (Ootpa)   4.18.0-193.28.1.el8_2.x86_64   cri-o://1.19.0-22.rhaos4.6.gitc0306f1.el8
ostest-rmrft-master-1         Ready    master   20h   v1.19.0+80fd895   10.196.2.77    <none>        Red Hat Enterprise Linux CoreOS 47.82.202010212242-0 (Ootpa)   4.18.0-193.28.1.el8_2.x86_64   cri-o://1.19.0-22.rhaos4.6.gitc0306f1.el8
ostest-rmrft-master-2         Ready    master   20h   v1.19.0+80fd895   10.196.3.105   <none>        Red Hat Enterprise Linux CoreOS 47.82.202010212242-0 (Ootpa)   4.18.0-193.28.1.el8_2.x86_64   cri-o://1.19.0-22.rhaos4.6.gitc0306f1.el8
ostest-rmrft-worker-0-sdmdk   Ready    worker   19h   v1.19.0+80fd895   10.196.2.43    <none>        Red Hat Enterprise Linux CoreOS 47.82.202010212242-0 (Ootpa)   4.18.0-193.28.1.el8_2.x86_64   cri-o://1.19.0-22.rhaos4.6.gitc0306f1.el8
ostest-rmrft-worker-0-vfsqw   Ready    worker   19h   v1.19.0+80fd895   10.196.1.113   <none>        Red Hat Enterprise Linux CoreOS 47.82.202010212242-0 (Ootpa)   4.18.0-193.28.1.el8_2.x86_64   cri-o://1.19.0-22.rhaos4.6.gitc0306f1.el8
ostest-rmrft-worker-0-x8nl6   Ready    worker   19h   v1.19.0+80fd895   10.196.2.169   <none>        Red Hat Enterprise Linux CoreOS 47.82.202010212242-0 (Ootpa)   4.18.0-193.28.1.el8_2.x86_64   cri-o://1.19.0-22.rhaos4.6.gitc0306f1.el8


[stack@undercloud-0 ~]$ oc get pods -A -o wide | grep 10.196 | awk '{print $2}' > host-networking-pods
[stack@undercloud-0 ~]$ oc get kp -A | grep -f host-networking-pods | wc -l
0

Comment 3 rlobillo 2020-10-23 09:37:28 UTC
Created attachment 1723750 [details]
NP+Conformance results

Comment 6 errata-xmlrpc 2021-02-24 15:24:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.